Subject: Linux workstation integration into Windows shop

From: [email-masked] (David Mandala)
Date: 02 Jul 2003 12:50:16 -0700

Goto www.samba.org join the SAMBA maillist and ask. Winbind is part of
the SAMBA suite.

Cheers,

Davidm

On Wed, 2003-07-02 at 12:44, Kurt Granroth wrote:
> Ah, if only it was so easy.  That is indeed the correct high-level answer 
> since SAMBA will have to be involved if this is to work at all.  However, I 
> am usually pretty good at RTFMs and searching for existing docs and I 
> typically won't post a question to PLUG (or other Linux forums) without first 
> exhausting all of my other avenues.
> 
> I'm at the point where pointers to more places to search just won't help since 
> I've doubtlessly already searched there.  I need links to actual documents 
> that describe how real people did exactly what I'm describing (0% theory, 
> 100% practice).
> 
> On Wednesday 02 July 2003 12:16 pm, David Mandala wrote:
> > Very possible, the SAMBA package has what you need and it more the
> > likely already installed. Go to www.samba.org and look at the faq's. You
> > want to convert the Linux box to windows authentication and that has
> > worked for at least 2 years now.
> >
> > On Wed, 2003-07-02 at 12:06, Kurt Granroth wrote:
> > > Does anybody know of a case-study or HOWTO on fully integrating a Linux
> > > workstation into an existing Windows NT domain?
> > >
> > > I've got CUPS using the network printer using
> > > smb://username:password@DOMAIN and mounting shares back and forth works
> > > great... but there are a couple of problems doing things like that:
> > >
> > > 1. CUPS requires you to setup the printer to use an individual's domain
> > > credentials.  If there are multiple users on the machine, that one
> > > person's credentials are using used.  Not to mention that the username
> > > and password are freely viewable using 'ps' while printing.
> > >
> > > 2. Login user names and passwords are different between the Linux and
> > > Windows boxes.  Yes, you can manually keep them in sync... but it's a
> > > pain.
> > >
> > > What I would like to do is make the Windows domain think that my Linux
> > > box is just another host in its domain.  That means several things:
> > >
> > > 1. Login using the NT domain server as the authenticator.  Mounting
> > > shares will no longer need a password since it's already supplied.
> > > 2. A Linux user will be able to print to a network printer in the domain
> > > using their own credentials (but hopefully not have to supply them again
> > > since they are already logged in).
> > >
> > > Is this even possible?  If so, were can I find docs on how this is done?
> > > ---------------------------------------------------
> > > PLUG-discuss mailing list - [email-masked]
> > > To subscribe, unsubscribe, or to change  you mail settings:
> > > http://lists.PLUG.phoenix.az.us/mailman/listinfo/plug-discuss
> 
> ---------------------------------------------------
> PLUG-discuss mailing list - [email-masked]
> To subscribe, unsubscribe, or to change  you mail settings:
> http://lists.PLUG.phoenix.az.us/mailman/listinfo/plug-discuss
-- 
David IS Mandala
gpg fingerprint 8932 E7EF CCF5 1B8C 1B5C A92E C678 795E 45B2 D952
Phoenix, AZ (480) 460-7545 HP, (602) 741-1363 CP
http://www.them.com/~davidm/